package com.ruoyi.system.domain.proprietorCar;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业主车辆管理对象 proprietor_car
 * 
 * @author boman
 * @date 2025-02-20
 */
public class ProprietorCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业主车辆主键 */
    private Long carId;

    /** 房屋信息id */
    @Excel(name = "房屋信息id")
    private Long houseId;

    /** 房屋的详细门牌号 */
    @Excel(name = "房屋的详细门牌号")
    private String detailedAddress;

    /** 业主id */
    @Excel(name = "业主id")
    private Long userId;
    /** 居住人员表id */
    private Long residentId;

    /** 业主姓名 */
    @Excel(name = "业主姓名")
    private String userName;

    /** 业主手机号 */
    @Excel(name = "业主手机号")
    private String residentPhone;

    /** 车牌号码 */
    @Excel(name = "车牌号码")
    private String plateNumber;

    /** 车辆车型 */
    @Excel(name = "车辆车型")
    private String vehicleBrand;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private String vehicleType;
    /**
     * 车辆能源类型 燃油 新能源
     */
    private String vehicleEnergy;

    /** 车辆颜色 */
    @Excel(name = "车辆颜色")
    private String vehicleColour;

    /** 发动机编号 */
    @Excel(name = "发动机编号")
    private String engineNumber;

    /** 车辆识别代号 */
    @Excel(name = "车辆识别代号")
    private String identificationNumber;

    /** 注册日期 */
    @Excel(name = "注册日期")
    private String registrationDate;

    /** 发证日期 */
    @Excel(name = "发证日期")
    private String issueDate;

    public String getVehicleEnergy() {
        return vehicleEnergy;
    }

    public void setVehicleEnergy(String vehicleEnergy) {
        this.vehicleEnergy = vehicleEnergy;
    }

    public Long getResidentId() {
        return residentId;
    }

    public void setResidentId(Long residentId) {
        this.residentId = residentId;
    }

    public void setCarId(Long carId)
    {
        this.carId = carId;
    }

    public Long getCarId() 
    {
        return carId;
    }
    public void setHouseId(Long houseId) 
    {
        this.houseId = houseId;
    }

    public Long getHouseId() 
    {
        return houseId;
    }
    public void setDetailedAddress(String detailedAddress) 
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress() 
    {
        return detailedAddress;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setResidentPhone(String residentPhone) 
    {
        this.residentPhone = residentPhone;
    }

    public String getResidentPhone() 
    {
        return residentPhone;
    }
    public void setPlateNumber(String plateNumber) 
    {
        this.plateNumber = plateNumber;
    }

    public String getPlateNumber() 
    {
        return plateNumber;
    }
    public void setVehicleBrand(String vehicleBrand) 
    {
        this.vehicleBrand = vehicleBrand;
    }

    public String getVehicleBrand() 
    {
        return vehicleBrand;
    }
    public void setVehicleType(String vehicleType) 
    {
        this.vehicleType = vehicleType;
    }

    public String getVehicleType() 
    {
        return vehicleType;
    }
    public void setVehicleColour(String vehicleColour) 
    {
        this.vehicleColour = vehicleColour;
    }

    public String getVehicleColour() 
    {
        return vehicleColour;
    }
    public void setEngineNumber(String engineNumber) 
    {
        this.engineNumber = engineNumber;
    }

    public String getEngineNumber() 
    {
        return engineNumber;
    }
    public void setIdentificationNumber(String identificationNumber) 
    {
        this.identificationNumber = identificationNumber;
    }

    public String getIdentificationNumber() 
    {
        return identificationNumber;
    }
    public void setRegistrationDate(String registrationDate) 
    {
        this.registrationDate = registrationDate;
    }

    public String getRegistrationDate() 
    {
        return registrationDate;
    }
    public void setIssueDate(String issueDate) 
    {
        this.issueDate = issueDate;
    }

    public String getIssueDate() 
    {
        return issueDate;
    }

    @Override
    public String toString() {
        return "ProprietorCar{" +
                "carId=" + carId +
                ", houseId=" + houseId +
                ", detailedAddress='" + detailedAddress + '\'' +
                ", userId=" + userId +
                ", residentId=" + residentId +
                ", userName='" + userName + '\'' +
                ", residentPhone='" + residentPhone + '\'' +
                ", plateNumber='" + plateNumber + '\'' +
                ", vehicleBrand='" + vehicleBrand + '\'' +
                ", vehicleType='" + vehicleType + '\'' +
                ", vehicleEnergy='" + vehicleEnergy + '\'' +
                ", vehicleColour='" + vehicleColour + '\'' +
                ", engineNumber='" + engineNumber + '\'' +
                ", identificationNumber='" + identificationNumber + '\'' +
                ", registrationDate='" + registrationDate + '\'' +
                ", issueDate='" + issueDate + '\'' +
                '}';
    }
}
